For the complete documentation index, see llms.txt. This page is also available as Markdown.

Delivery Method

Manage delivery methods in VARIO Cloud via the REST API, including carriers, delivery times, parcel weights, country rules, activation and CRUD.

Delivery methods.

Deactivate an existing resource

put
Path parameters
idinteger · int64Required

identifier

Responses
200

successful operation

application/json
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

labelstring · min: 1Required

label for this delivery method

descriptionstring · min: 1Required

description

printDescriptionstringOptional

printDescription

deliveryTimeinteger · int32Optional

Shipping duration in days.

vdsCarrierIdinteger · int64Optional

Shipping provider.

splitIntoNewDocumentbooleanOptional

Should a line with this delivery method be transferred into a delivery document with this method?

Default: false
activebooleanRead-onlyOptional

Is this active?

Default: true
minWeightPerParcelnumberOptional

Minimum weight per parcel.

identifierstringOptional

Barcode.

maxWeightPerParcelnumberOptional

Maximum weight per parcel.

parcelWeightSourcestring · enumRequired

Where the parcel weight is taken from.

Default: AUTOMATIC_VIA_DOCUMENT_LINEPossible values:
forwardEmailToShipperbooleanOptional

Pass the email to the shipper.

Default: false
forwardPhoneToShipperbooleanOptional

Pass the phone number to the shipper.

Default: false
validCountryCodesstring[]Optional

Valid country codes.

put/erp/delivery/methods/{id}/deactivate
PUT /erp/delivery/methods/{id}/deactivate HTTP/1.1
Host: api.example.com
Accept: */*
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "label": "text",
  "description": "text",
  "printDescription": "text",
  "deliveryTime": 1,
  "vdsCarrierId": 1,
  "defaultWeightUnit": {
    "id": 1,
    "name": "text",
    "abbreviation": "text"
  },
  "defaultSizeUnit": {
    "id": 1,
    "name": "text",
    "abbreviation": "text"
  },
  "splitIntoNewDocument": false,
  "active": true,
  "minWeightPerParcel": 1,
  "identifier": "text",
  "maxWeightPerParcel": 1,
  "parcelWeightSource": "AUTOMATIC_VIA_DOCUMENT_LINE",
  "forwardEmailToShipper": false,
  "forwardPhoneToShipper": false,
  "validCountryCodes": [
    "text"
  ],
  "translations": []
}

Activate an existing resource

put
Path parameters
idinteger · int64Required

identifier

Responses
200

successful operation

application/json
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

labelstring · min: 1Required

label for this delivery method

descriptionstring · min: 1Required

description

printDescriptionstringOptional

printDescription

deliveryTimeinteger · int32Optional

Shipping duration in days.

vdsCarrierIdinteger · int64Optional

Shipping provider.

splitIntoNewDocumentbooleanOptional

Should a line with this delivery method be transferred into a delivery document with this method?

Default: false
activebooleanRead-onlyOptional

Is this active?

Default: true
minWeightPerParcelnumberOptional

Minimum weight per parcel.

identifierstringOptional

Barcode.

maxWeightPerParcelnumberOptional

Maximum weight per parcel.

parcelWeightSourcestring · enumRequired

Where the parcel weight is taken from.

Default: AUTOMATIC_VIA_DOCUMENT_LINEPossible values:
forwardEmailToShipperbooleanOptional

Pass the email to the shipper.

Default: false
forwardPhoneToShipperbooleanOptional

Pass the phone number to the shipper.

Default: false
validCountryCodesstring[]Optional

Valid country codes.

put/erp/delivery/methods/{id}/activate
PUT /erp/delivery/methods/{id}/activate HTTP/1.1
Host: api.example.com
Accept: */*
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "label": "text",
  "description": "text",
  "printDescription": "text",
  "deliveryTime": 1,
  "vdsCarrierId": 1,
  "defaultWeightUnit": {
    "id": 1,
    "name": "text",
    "abbreviation": "text"
  },
  "defaultSizeUnit": {
    "id": 1,
    "name": "text",
    "abbreviation": "text"
  },
  "splitIntoNewDocument": false,
  "active": true,
  "minWeightPerParcel": 1,
  "identifier": "text",
  "maxWeightPerParcel": 1,
  "parcelWeightSource": "AUTOMATIC_VIA_DOCUMENT_LINE",
  "forwardEmailToShipper": false,
  "forwardPhoneToShipper": false,
  "validCountryCodes": [
    "text"
  ],
  "translations": []
}

Find an existing Resource by identifier

get
Path parameters
idinteger · int64Required

an identifier

Responses
200

successful operation

application/json
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

labelstring · min: 1Required

label for this delivery method

descriptionstring · min: 1Required

description

printDescriptionstringOptional

printDescription

deliveryTimeinteger · int32Optional

Shipping duration in days.

vdsCarrierIdinteger · int64Optional

Shipping provider.

splitIntoNewDocumentbooleanOptional

Should a line with this delivery method be transferred into a delivery document with this method?

Default: false
activebooleanRead-onlyOptional

Is this active?

Default: true
minWeightPerParcelnumberOptional

Minimum weight per parcel.

identifierstringOptional

Barcode.

maxWeightPerParcelnumberOptional

Maximum weight per parcel.

parcelWeightSourcestring · enumRequired

Where the parcel weight is taken from.

Default: AUTOMATIC_VIA_DOCUMENT_LINEPossible values:
forwardEmailToShipperbooleanOptional

Pass the email to the shipper.

Default: false
forwardPhoneToShipperbooleanOptional

Pass the phone number to the shipper.

Default: false
validCountryCodesstring[]Optional

Valid country codes.

get/erp/delivery/methods/{id}
GET /erp/delivery/methods/{id} HTTP/1.1
Host: api.example.com
Accept: */*
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "label": "text",
  "description": "text",
  "printDescription": "text",
  "deliveryTime": 1,
  "vdsCarrierId": 1,
  "defaultWeightUnit": {
    "id": 1,
    "name": "text",
    "abbreviation": "text"
  },
  "defaultSizeUnit": {
    "id": 1,
    "name": "text",
    "abbreviation": "text"
  },
  "splitIntoNewDocument": false,
  "active": true,
  "minWeightPerParcel": 1,
  "identifier": "text",
  "maxWeightPerParcel": 1,
  "parcelWeightSource": "AUTOMATIC_VIA_DOCUMENT_LINE",
  "forwardEmailToShipper": false,
  "forwardPhoneToShipper": false,
  "validCountryCodes": [
    "text"
  ],
  "translations": []
}

Update existing Resource

put
Path parameters
idinteger · int64Required

an identifier

Body
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

labelstring · min: 1Required

label for this delivery method

descriptionstring · min: 1Required

description

printDescriptionstringOptional

printDescription

deliveryTimeinteger · int32Optional

Shipping duration in days.

vdsCarrierIdinteger · int64Optional

Shipping provider.

splitIntoNewDocumentbooleanOptional

Should a line with this delivery method be transferred into a delivery document with this method?

Default: false
activebooleanRead-onlyOptional

Is this active?

Default: true
minWeightPerParcelnumberOptional

Minimum weight per parcel.

identifierstringOptional

Barcode.

maxWeightPerParcelnumberOptional

Maximum weight per parcel.

parcelWeightSourcestring · enumRequired

Where the parcel weight is taken from.

Default: AUTOMATIC_VIA_DOCUMENT_LINEPossible values:
forwardEmailToShipperbooleanOptional

Pass the email to the shipper.

Default: false
forwardPhoneToShipperbooleanOptional

Pass the phone number to the shipper.

Default: false
validCountryCodesstring[]Optional

Valid country codes.

Responses
200

successful operation

application/json
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

labelstring · min: 1Required

label for this delivery method

descriptionstring · min: 1Required

description

printDescriptionstringOptional

printDescription

deliveryTimeinteger · int32Optional

Shipping duration in days.

vdsCarrierIdinteger · int64Optional

Shipping provider.

splitIntoNewDocumentbooleanOptional

Should a line with this delivery method be transferred into a delivery document with this method?

Default: false
activebooleanRead-onlyOptional

Is this active?

Default: true
minWeightPerParcelnumberOptional

Minimum weight per parcel.

identifierstringOptional

Barcode.

maxWeightPerParcelnumberOptional

Maximum weight per parcel.

parcelWeightSourcestring · enumRequired

Where the parcel weight is taken from.

Default: AUTOMATIC_VIA_DOCUMENT_LINEPossible values:
forwardEmailToShipperbooleanOptional

Pass the email to the shipper.

Default: false
forwardPhoneToShipperbooleanOptional

Pass the phone number to the shipper.

Default: false
validCountryCodesstring[]Optional

Valid country codes.

put/erp/delivery/methods/{id}
PUT /erp/delivery/methods/{id} HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 517

{
  "version": "text",
  "info": {},
  "id": "text",
  "label": "text",
  "description": "text",
  "printDescription": "text",
  "deliveryTime": 1,
  "vdsCarrierId": 1,
  "defaultWeightUnit": {
    "id": 1,
    "name": "text",
    "abbreviation": "text"
  },
  "defaultSizeUnit": {
    "id": 1,
    "name": "text",
    "abbreviation": "text"
  },
  "splitIntoNewDocument": false,
  "minWeightPerParcel": 1,
  "identifier": "text",
  "maxWeightPerParcel": 1,
  "parcelWeightSource": "AUTOMATIC_VIA_DOCUMENT_LINE",
  "forwardEmailToShipper": false,
  "forwardPhoneToShipper": false,
  "validCountryCodes": [
    "text"
  ],
  "translations": []
}
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "label": "text",
  "description": "text",
  "printDescription": "text",
  "deliveryTime": 1,
  "vdsCarrierId": 1,
  "defaultWeightUnit": {
    "id": 1,
    "name": "text",
    "abbreviation": "text"
  },
  "defaultSizeUnit": {
    "id": 1,
    "name": "text",
    "abbreviation": "text"
  },
  "splitIntoNewDocument": false,
  "active": true,
  "minWeightPerParcel": 1,
  "identifier": "text",
  "maxWeightPerParcel": 1,
  "parcelWeightSource": "AUTOMATIC_VIA_DOCUMENT_LINE",
  "forwardEmailToShipper": false,
  "forwardPhoneToShipper": false,
  "validCountryCodes": [
    "text"
  ],
  "translations": []
}

Delete an existing Resource

delete
Path parameters
idinteger · int64Required

an identifier

Responses
200

successful operation

application/json
contextstringOptional

message context

messageValuestringOptional

message

delete/erp/delivery/methods/{id}
DELETE /erp/delivery/methods/{id} HTTP/1.1
Host: api.example.com
Accept: */*
{
  "context": "text",
  "messageValue": "text"
}

Create new Resource

post
Body
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

labelstring · min: 1Required

label for this delivery method

descriptionstring · min: 1Required

description

printDescriptionstringOptional

printDescription

deliveryTimeinteger · int32Optional

Shipping duration in days.

vdsCarrierIdinteger · int64Optional

Shipping provider.

splitIntoNewDocumentbooleanOptional

Should a line with this delivery method be transferred into a delivery document with this method?

Default: false
activebooleanRead-onlyOptional

Is this active?

Default: true
minWeightPerParcelnumberOptional

Minimum weight per parcel.

identifierstringOptional

Barcode.

maxWeightPerParcelnumberOptional

Maximum weight per parcel.

parcelWeightSourcestring · enumRequired

Where the parcel weight is taken from.

Default: AUTOMATIC_VIA_DOCUMENT_LINEPossible values:
forwardEmailToShipperbooleanOptional

Pass the email to the shipper.

Default: false
forwardPhoneToShipperbooleanOptional

Pass the phone number to the shipper.

Default: false
validCountryCodesstring[]Optional

Valid country codes.

Responses
200

successful operation

application/json
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

labelstring · min: 1Required

label for this delivery method

descriptionstring · min: 1Required

description

printDescriptionstringOptional

printDescription

deliveryTimeinteger · int32Optional

Shipping duration in days.

vdsCarrierIdinteger · int64Optional

Shipping provider.

splitIntoNewDocumentbooleanOptional

Should a line with this delivery method be transferred into a delivery document with this method?

Default: false
activebooleanRead-onlyOptional

Is this active?

Default: true
minWeightPerParcelnumberOptional

Minimum weight per parcel.

identifierstringOptional

Barcode.

maxWeightPerParcelnumberOptional

Maximum weight per parcel.

parcelWeightSourcestring · enumRequired

Where the parcel weight is taken from.

Default: AUTOMATIC_VIA_DOCUMENT_LINEPossible values:
forwardEmailToShipperbooleanOptional

Pass the email to the shipper.

Default: false
forwardPhoneToShipperbooleanOptional

Pass the phone number to the shipper.

Default: false
validCountryCodesstring[]Optional

Valid country codes.

post/erp/delivery/methods
POST /erp/delivery/methods HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 517

{
  "version": "text",
  "info": {},
  "id": "text",
  "label": "text",
  "description": "text",
  "printDescription": "text",
  "deliveryTime": 1,
  "vdsCarrierId": 1,
  "defaultWeightUnit": {
    "id": 1,
    "name": "text",
    "abbreviation": "text"
  },
  "defaultSizeUnit": {
    "id": 1,
    "name": "text",
    "abbreviation": "text"
  },
  "splitIntoNewDocument": false,
  "minWeightPerParcel": 1,
  "identifier": "text",
  "maxWeightPerParcel": 1,
  "parcelWeightSource": "AUTOMATIC_VIA_DOCUMENT_LINE",
  "forwardEmailToShipper": false,
  "forwardPhoneToShipper": false,
  "validCountryCodes": [
    "text"
  ],
  "translations": []
}
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "label": "text",
  "description": "text",
  "printDescription": "text",
  "deliveryTime": 1,
  "vdsCarrierId": 1,
  "defaultWeightUnit": {
    "id": 1,
    "name": "text",
    "abbreviation": "text"
  },
  "defaultSizeUnit": {
    "id": 1,
    "name": "text",
    "abbreviation": "text"
  },
  "splitIntoNewDocument": false,
  "active": true,
  "minWeightPerParcel": 1,
  "identifier": "text",
  "maxWeightPerParcel": 1,
  "parcelWeightSource": "AUTOMATIC_VIA_DOCUMENT_LINE",
  "forwardEmailToShipper": false,
  "forwardPhoneToShipper": false,
  "validCountryCodes": [
    "text"
  ],
  "translations": []
}

Last updated

Was this helpful?